/***************************************************************************
 *   Copyright (C) 2003 by Konstantin Sobolev                              *
 *   konstantin.sobolev@gmail.com                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef KLOGTRAY_H
#define KLOGTRAY_H

#include <qobject.h>
#include <qwidget.h>
#include <kglobalaccel.h>
#include <ksystemtray.h>
#include <kaction.h>
#include <kapplication.h>

#include "klogview.h"

class KLogView;
/**
@author Konstantin Sobolev
*/
class KLogTray : public KSystemTray {
    Q_OBJECT
public:
    KLogTray(KLogView* parent=NULL, const char* name=0);
    //KLogTray(KApplication*);

    ~KLogTray();
public slots:
    void minimizeRestoreLogView();
private:
    KLogView* parent;
    KGlobalAccel* globalAccel;
    void init();
private slots:
    void toggleHotKey();
    void showAboutDialog();
};

#endif
